Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jnlp
Interface ExtensionInstallerService

    public interface ExtensionInstallerService

The `ExtensionInstallerService` is used by an extension installer to communicate with the JNLP Client. It provides the following type of functionality:

- Access to prefered installation location, and other information about the JNLP Client
- Manipulation of the JNLP Client's download screen
- Methods for updating the JNLP Client with the installed code

The normal sequence of events for an installer is:

1. Get service using `ServiceManager.lookup("javax.jnlp.ExtensionInstallerService")`.
2. Update status, heading, and progress as install progresses (`setStatus`, `setHeading` and `updateProgress`).
3. Invoke either `setJREInfo` or `setNativeLibraryInfo` depending on if a JRE or a library is installed
4. If successful invoke `installSucceeded`, otherwise invoke `installFailed`.

Since:
  1.0

Method Summary
`java.net.URL` | `getExtensionLocation()` Returns the location of the extension being installed
`java.lang.String` | `getExtensionVersion()` Returns the version of the extension being installed
`java.lang.String` | `getInstalledJRE(java.net.URL url, java.lang.String version)` Returns the path to the executable for the given JRE.
`java.lang.String` | `getInstallPath()` Returns the directory where the installer is recommended to install the extension in.
`void` | `hideProgressBar()` Hides the progress bar.
`void` | `hideStatusWindow()` Hides the status window.
`void` | `installFailed()` This should be invoked if the install fails.
`void` | `installSucceeded(boolean needsReboot)` Installers should invoke this upon a succesful installation of the extension.
`void` | `setHeading(java.lang.String heading)` Updates the status of the installer process.
`void` | `setJREInfo(java.lang.String platformVersion, java.lang.String jrePath)` Informs the JNLP Client of the path to the executable for the JRE, if this is an installer for a JRE, and about platform-version this JRE implements.
`void` | `setNativeLibraryInfo(java.lang.String path)` Informs the JNLP Client of a directory where it should search for native libraries.
`void` | `setStatus(java.lang.String status)` Updates the status of the installer process.
`void` | `updateProgress(int value)` Updates the progress bar.

Method Detail

### getInstallPath

    java.lang.String getInstallPath()

  Returns the directory where the installer is recommended to install the extension in. It is not required that the installer install in this directory, this is merely a suggested path.

### getExtensionVersion

    java.lang.String getExtensionVersion()

  Returns the version of the extension being installed

### getExtensionLocation

    java.net.URL getExtensionLocation()

  Returns the location of the extension being installed

### hideProgressBar

    void hideProgressBar()

  Hides the progress bar. Any subsequent calls to `updateProgress` will force it to be visible.

### hideStatusWindow

    void hideStatusWindow()

  Hides the status window. You should only invoke this if you are going to provide your own feedback to the user as to the progress of the install.

### setHeading

    void setHeading(java.lang.String heading)

  Updates the status of the installer process.

### setStatus

    void setStatus(java.lang.String status)

  Updates the status of the installer process.

### updateProgress

    void updateProgress(int value)

  Updates the progress bar.

  Parameters:
    `value` - progress bar value - should be between 0 and 100.

### installSucceeded

    void installSucceeded(boolean needsReboot)

  Installers should invoke this upon a succesful installation of the extension. This will cause the JNLP Client to regain control and continue its normal operation.

  Parameters:
    `needsReboot` - If true, a reboot is needed

### installFailed

    void installFailed()

  This should be invoked if the install fails. The JNLP Client will continue its operation, and inform the user that the install has failed.

### setJREInfo

    void setJREInfo(java.lang.String platformVersion,
                    java.lang.String jrePath)

  Informs the JNLP Client of the path to the executable for the JRE, if this is an installer for a JRE, and about platform-version this JRE implements.

### setNativeLibraryInfo

    void setNativeLibraryInfo(java.lang.String path)

  Informs the JNLP Client of a directory where it should search for native libraries.

### getInstalledJRE

    java.lang.String getInstalledJRE(java.net.URL url,
                                     java.lang.String version)

  Returns the path to the executable for the given JRE. This method can be used by extensions that needs to find information in a given JRE, or enhance a given JRE.

  Parameters:
    `url` - product location of the JRE
    `version` - product version of the JRE
  Returns:
    The path to the executable for the given JRE, or `null` if the JRE is not installed.

Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 Sun Microsystems, Inc. All Rights Reserved